<mat-card *ngFor="let post of posts">
  <figure>
    <img [src]="post.image" />
  </figure>
  <span>
    <h3>{{post.title}}</h3>
    <span>
      <button *ngIf="inPanel != 'true'" mat-flat-button color="primary" (click)="openPost(post.id)">مشاهده</button>
      <button *ngIf="inPanel == 'true'" mat-flat-button color="warn" (click)="onDelete(post)">حذف</button>
      <button *ngIf="inPanel == 'true'" mat-flat-button color="primary" (click)="onEdit(post)">ویرایش</button>
    </span>
  </span>
</mat-card>